2 # Create a new openwrt tree with symlinks pointing at the current tree
3 # Usage: ./scripts/symlink-tree.sh <destination>
22 if [ -f feeds.conf ] ; then
23 FILES="$FILES feeds.conf"
27 echo "Syntax: $0 <destination>" >&2
32 echo "Error: $1 already exists" >&2
36 set -e # fail if any commands fails
38 for file in $FILES; do
39 [ -e "$PWD/$file" ] || {
40 echo "ERROR: $file does not exist in the current tree" >&2
43 ln -s "$PWD/$file" "$1/"